Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class SpecFuncDateTimeInfo

    java.lang.Object
      jet.api.SpecFuncInfo
          jet.api.SpecFuncDateTimeInfo

    public class SpecFuncDateTimeInfo

extends SpecFuncInfo

SpecFuncDateTimeInfo class defines a Special Function of Date/Time type.

Field Summary
`static int` | `BIWEEK` Field number for `get` and `set` indicates biweekly.
`static int` | `DATE` Field number for `get` and `set` indicates the days of the month.
`static java.lang.String` | `DATETIME_BENCHMARKPOINT_1900` String value of the benchmark point.
`static java.lang.String` | `DEFAULT_DATETIME_BENCHMARKPOINT` String value of the default benchmark point.
`static int` | `FRIDAY` Value of the `DAY_OF_WEEK` field indicates Friday.
`static int` | `HALFMONTH` Field number for `get` and `set` indicates half a month.
`static int` | `HALFYEAR` Field number for `get` and `set` indicates half a year.
`static int` | `HOUR` Field number for `get` and `set` indicates the hours of the morning or afternoon.
`static int` | `MINUTE` Field number for `get` and `set` indicates the minutes within the hour.
`static int` | `MONDAY` Value of the `DAY_OF_WEEK` field indicates Monday.
`static int` | `MONTH` Field number for `get` and `set` indicates the month.
`static int` | `QUARTER` Field number for `get` and `set` indicates a quarter of a year.
`static int` | `SATURDAY` Value of the `DAY_OF_WEEK` field indicates Saturday.
`static int` | `SECOND` Field number for `get` and `set` indicates the seconds within the minute.
`static int` | `SUNDAY` Value of the `DAY_OF_WEEK` field indicates Sunday.
`static int` | `THURSDAY` Value of the `DAY_OF_WEEK` field indicates Thursday.
`static int` | `TUESDAY` Value of the `DAY_OF_WEEK` field indicates Tuesday.
`static int` | `WEDNESDAY` Value of the `DAY_OF_WEEK` field indicates Wednesday.
`static int` | `WEEK` Field number for `get` and `set` indicates weekly.
`static int` | `YEAR` Field number for `get` and `set` indicates the year.

Fields inherited from class jet.api.SpecFuncInfo
`DATETIME_INTERVALS, NUM_INTERVALS, STRING_INTERVALS, VALUE_CHANGE`

Constructor Summary
`SpecFuncDateTimeInfo()` Constructs a Special Function definition of Date/Time type.

Method Summary
`java.lang.String` | `getBenchPoint()` Gets the benchmark point of date/time grouping.
`int` | `getFirstDayOfWeek()` Gets the int value of the First Day of Week.
`int` | `getType()` Gets the Special Function's type.
`int` | `getUnit()` Gets the unit of the interval of the Date or Time.
`void` | `setBenchPoint(java.lang.String benchPoint)` Sets the benchmark point of date/time grouping.
`void` | `setFirstDayOfWeek(int firstDay)` Sets the First Day of Week.
`void` | `setUnit(int unit)` Sets the unit of the interval of the Date or Time.

Methods inherited from class jet.api.SpecFuncInfo
`getDesc, getInterNum, getOtherName, setDesc, setInterNum, setOtherName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YEAR

    public static final int YEAR

  Field number for `get` and `set` indicates the year.

  See Also:
    Constant Field Values

### MONTH

    public static final int MONTH

  Field number for `get` and `set` indicates the month. This is a calendar-specific value. The first month of the year is `JANUARY` which is 0; the last depends on the number of months in a year.

  See Also:
    `#JANUARY`, `#FEBRUARY`, `#MARCH`, `#APRIL`, `#MAY`, `#JUNE`, `#JULY`, `#AUGUST`, `#SEPTEMBER`, `#OCTOBER`, `#NOVEMBER`, `#DECEMBER`, `#UNDECIMBER`, Constant Field Values

### DATE

    public static final int DATE

  Field number for `get` and `set` indicates the days of the month. This is a synonym of `DAY_OF_MONTH`. The first day of the month has the value 1.

  See Also:
    Constant Field Values

### HOUR

    public static final int HOUR

  Field number for `get` and `set` indicates the hours of the morning or afternoon. `HOUR` is used for the 12-hour clock (0 - 11). Noon and midnight are represented by 0, not by 12. E.g., at 10:04:15.250 PM, the `HOUR` is 10.

  See Also:
    Constant Field Values

### MINUTE

    public static final int MINUTE

  Field number for `get` and `set` indicates the minutes within the hour. E.g., at 10:04:15.250 PM, the `MINUTE` is 4.

  See Also:
    Constant Field Values

### SECOND

    public static final int SECOND

  Field number for `get` and `set` indicates the seconds within the minute. E.g., at 10:04:15.250 PM, the `SECOND` is 15.

  See Also:
    Constant Field Values

### HALFYEAR

    public static final int HALFYEAR

  Field number for `get` and `set` indicates half a year.

  See Also:
    Constant Field Values

### HALFMONTH

    public static final int HALFMONTH

  Field number for `get` and `set` indicates half a month.

  See Also:
    Constant Field Values

### QUARTER

    public static final int QUARTER

  Field number for `get` and `set` indicates a quarter of a year.

  See Also:
    Constant Field Values

### BIWEEK

    public static final int BIWEEK

  Field number for `get` and `set` indicates biweekly.

  See Also:
    Constant Field Values

### WEEK

    public static final int WEEK

  Field number for `get` and `set` indicates weekly.

  See Also:
    Constant Field Values

### SUNDAY

    public static final int SUNDAY

  Value of the `DAY_OF_WEEK` field indicates Sunday.

  See Also:
    Constant Field Values

### MONDAY

    public static final int MONDAY

  Value of the `DAY_OF_WEEK` field indicates Monday.

  See Also:
    Constant Field Values

### TUESDAY

    public static final int TUESDAY

  Value of the `DAY_OF_WEEK` field indicates Tuesday.

  See Also:
    Constant Field Values

### WEDNESDAY

    public static final int WEDNESDAY

  Value of the `DAY_OF_WEEK` field indicates Wednesday.

  See Also:
    Constant Field Values

### THURSDAY

    public static final int THURSDAY

  Value of the `DAY_OF_WEEK` field indicates Thursday.

  See Also:
    Constant Field Values

### FRIDAY

    public static final int FRIDAY

  Value of the `DAY_OF_WEEK` field indicates Friday.

  See Also:
    Constant Field Values

### SATURDAY

    public static final int SATURDAY

  Value of the `DAY_OF_WEEK` field indicates Saturday.

  See Also:
    Constant Field Values

### DEFAULT_DATETIME_BENCHMARKPOINT

    public static final java.lang.String DEFAULT_DATETIME_BENCHMARKPOINT

  String value of the default benchmark point. It is expressed in milliseconds after January 1, 1970, 00:00:00 GMT.

  See Also:
    Constant Field Values

### DATETIME_BENCHMARKPOINT_1900

    public static final java.lang.String DATETIME_BENCHMARKPOINT_1900

  String value of the benchmark point. It is expressed in milliseconds after January 1, 1900, 00:00:00 GMT.

Constructor Detail

### SpecFuncDateTimeInfo

    public SpecFuncDateTimeInfo()

  Constructs a Special Function definition of Date/Time type.

Method Detail

### getType

    public int getType()

  Gets the Special Function's type.

  Overrides:
    `getType` in class `SpecFuncInfo`
  Returns:
    `SpecFuncInfo.DATETIME_INTERVALS`.

### getUnit

    public int getUnit()

  Gets the unit of the interval of the Date or Time.

  Returns:
    the int value of the interval unit of the Date or Time.

### setUnit

    public void setUnit(int unit)

  Sets the unit of the interval of the Date or Time.

  Parameters:
    `unit` - The unit of the interval of the Date or Time.
  See Also:
    `#SECOND}`, `#MINUTE}`, `#HOUR}`, `#DATE}`, `#MONTH}`, `#QUARTER}`, `#HALFYEAR}`, `#YEAR}`

### getBenchPoint

    public java.lang.String getBenchPoint()

  Gets the benchmark point of date/time grouping.

  Returns:
    the String format of the benchmark point of date/time grouping.

### setBenchPoint

    public void setBenchPoint(java.lang.String benchPoint)

  Sets the benchmark point of date/time grouping.

  Parameters:
    `bechPoint` - The String format of the benchmark point of date/time grouping.
  See Also:
    `#DEFAULT_DATETIME_BENCHMARKPOINT}`, `#DATETIME_BENCHMARKPOINT_1900}`

### setFirstDayOfWeek

    public void setFirstDayOfWeek(int firstDay)

  Sets the First Day of Week.

  Parameters:
    `firstDay` - The int value of the First Day of Week.
  See Also:
    `#SUNDAY}`, `#MONDAY}`, `#TUESDAY}`, `#MONDAY}`, `#THURSDAY}`, `#FRIDAY}`, `#SATURDAY}`

### getFirstDayOfWeek

    public int getFirstDayOfWeek()

  Gets the int value of the First Day of Week.

  Returns:
    the int value of the First Day of Week.
  See Also:
    `#SUNDAY}`, `#MONDAY}`, `#TUESDAY}`, `#MONDAY}`, `#THURSDAY}`, `#FRIDAY}`, `#SATURDAY}`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD